from django.contrib.auth.decorators import login_required
from django.http import QueryDict
from django.shortcuts import redirect, render
from django.urls import reverse


@login_required
def index(request):
    return render(request, "core/index.html", {})


def unauthorized(request):
    return render(request, "core/unauthorized.html", {})


def admin_login(request):
    if request.user.is_authenticated:
        return redirect("unauthorized")

    query = ""
    if next := request.GET.get("next"):
        q = QueryDict(mutable=True)
        q["next"] = next
        query = f"?{q.urlencode()}"

    return redirect(f"{reverse('oidc_authentication_init')}{query}")
